%define sysconfdir /etc/mysequoia
%define prefix /usr
%define bindir /usr/bin
%define libdir /usr/lib/mysequoia
%define docdir /usr/share/doc/libmysequoia

Summary: Native MySQL API using Sequoia
Name: libmysequoia
Version: 0.9.3 
Release: 1

License: Apache License v2.0
Group: Development/Libraries
Vendor: Continuent, Inc 
Packager: Csaba Simon <csaba.simon@continuent.com>
Url: http://continuent.org/

Source: %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Reimplementation of libmysqlclient library, using Carob to benefit from
clustering. So, native mysql client programs can use the Sequoia clustering
product without changing any line of code in the application.

%package devel
Summary: Native MySQL API using Sequoia, static libraries
Group: Development/Libraries
Requires: %{name} = %{version}, mysql-devel

%description devel
Reimplementation of libmysqlclient library, using Carob to benefit from
clustering. So, native mysql client programs can use the Sequoia clustering
product without changing any line of code in the application.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --libdir=%{libdir} --sysconfdir=%{sysconfdir} --disable-cppunit --disable-gcov

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 0755 $RPM_BUILD_ROOT/etc/ld.so.conf.d 
echo "%{libdir}" > $RPM_BUILD_ROOT/etc/ld.so.conf.d/mysequoia-i386.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,644)
%attr(644,root,root) /etc/ld.so.conf.d/mysequoia-i386.conf
%attr(644,root,root) %{sysconfdir}/logger.conf
%attr(644,root,root) %{sysconfdir}/mysequoia.conf
%attr(755,root,root) %{libdir}/lib*.so*
%attr(644,root,root) %{docdir}/*

%files devel
%defattr(-,root,root,644)
%attr(755,root,root) %{bindir}/mysequoia_config
%attr(644,root,root) %{libdir}/*.a
%attr(644,root,root) %{libdir}/*.la
