/*
 * Sequoia: Database clustering technology.
 * Copyright (C) 2005-2006 Continuent, Inc.
 * Contact: sequoia@continuent.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License")
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Initial developer(s): Zsolt Simon, Csaba Simon
 * Contributor(s): 
 */

#include "TestIniParser.hpp"

#include "IniParser.hpp"

#include <string>

CPPUNIT_TEST_SUITE_REGISTRATION (TestIniParser);

void TestIniParser::setUp(void)
{
}

void TestIniParser::tearDown(void) 
{
}

void TestIniParser::ini_parser_test(void)
{
  IniParser iniparser;
  
  CPPUNIT_ASSERT(iniparser.parseFile("data/my.cnf") == true);
  CPPUNIT_ASSERT(iniparser.get("client", "port") == "3306");
  CPPUNIT_ASSERT(iniparser.get("mysqld", "user") == "mysql");
  CPPUNIT_ASSERT(iniparser.get("mysqld", "old_passwords") == "");

/*
 *  Commented out because this methods are protected.
 *
  std::string s = "   apple";
  iniparser.removeLeadingSpaces(s);
  CPPUNIT_ASSERT(s == "apple");
  
  s = "\t apple";
  iniparser.removeLeadingSpaces(s);
  CPPUNIT_ASSERT(s == "apple");

  s = " apple   ";
  iniparser.removeLeadingSpaces(s);
  CPPUNIT_ASSERT(s == "apple   ");
  
  s = "apple   ";
  iniparser.removeTrailingSpaces(s);
  CPPUNIT_ASSERT(s == "apple");
  
  s = "apple \t  ";
  iniparser.removeTrailingSpaces(s);
  CPPUNIT_ASSERT(s == "apple");
  
  s = ";comment";
  iniparser.removeComments(s);
  CPPUNIT_ASSERT(s == "");
  
  s = "#comment";
  iniparser.removeComments(s);
  CPPUNIT_ASSERT(s == "");

  s = "apple\t #comment";
  iniparser.removeComments(s);
  CPPUNIT_ASSERT(s == "apple\t ");

  s = "apple\t #comment";
  iniparser.removeSpacesAndComments(s);
  CPPUNIT_ASSERT(s == "apple");
*/
}
